# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, modulesPath, ... }:

{
  imports =
    [ (modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot.initrd.availableKernelModules = [ "nvme" "ahci" "thunderbolt" "xhci_pci" "usbhid" "usb_storage" "sd_mod" ];
  boot.initrd.kernelModules = [ ];

  fileSystems."/" =
    { device = "/dev/disk/by-uuid/8ef1b753-7a4a-4062-a906-6a01ce7b6111";
      fsType = "btrfs";
      options = [ "subvol=@" "rw" "relatime" "compress=zstd:3" "ssd" "discard=async" "space_cache=v2" ];
    };

  fileSystems."/home" =
    { device = "/dev/disk/by-uuid/8ef1b753-7a4a-4062-a906-6a01ce7b6111";
      fsType = "btrfs";
      options = [ "subvol=@home" "rw" "relatime" "compress=zstd:3" "ssd" "discard=async" "space_cache=v2" ];
    };

  fileSystems."/boot" =
    { device = "/dev/disk/by-uuid/69B8-FDBD";
      fsType = "vfat";
      options = [ "fmask=0077" "dmask=0077" ];
    };

  fileSystems."/data" =
    { device = "/dev/disk/by-uuid/5c58c3c4-2ce8-4ad9-8277-ff7503462f88";
      fsType = "btrfs";
      options = [ "rw" "relatime" "compress=zstd:3" "ssd" "discard=async" "space_cache=v2" ];
    };

  swapDevices =
    [ { device = "/dev/disk/by-uuid/58267d20-fa23-4874-b619-36a263f8be88"; }
    ];

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.amd.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
